## MrpRelation

MrpRelation

## Functions

MrpTask * | mrp_relation_get_predecessor ()
MrpTask * | mrp_relation_get_successor ()
gint | mrp_relation_get_lag ()
MrpRelationType | mrp_relation_get_relation_type ()

## Types and Values

| MrpRelationPriv
struct | MrpRelation
enum | MrpRelationType

## Includes

    #include <libplanner/planner.h>

## Description

## Functions

### mrp_relation_get_predecessor ()

    MrpTask *
    mrp_relation_get_predecessor (MrpRelation *relation);

Retrieves the predecessor of `relation` .

#### Parameters

relation | an MrpRelation |

#### Returns

the predecessor task.

[transfer none]

### mrp_relation_get_successor ()

    MrpTask *
    mrp_relation_get_successor (MrpRelation *relation);

Retrieves the successor of `relation` .

#### Parameters

relation | an MrpRelation |

#### Returns

the successor task.

[transfer none]

### mrp_relation_get_lag ()

    gint
    mrp_relation_get_lag (MrpRelation *relation);

Retrieves the lag between the predecessor and successor in `relation` .

#### Parameters

relation | an MrpRelation |

#### Returns

Lag time in seconds.

### mrp_relation_get_relation_type ()

    MrpRelationType
    mrp_relation_get_relation_type (MrpRelation *relation);

Retrieves the relation type of `relation` .

#### Parameters

relation | an MrpRelation |

#### Returns

the MrpRelationType of the relation.

## Types and Values

### MrpRelationPriv

    typedef struct _MrpRelationPriv MrpRelationPriv;

### struct MrpRelation

    struct MrpRelation {
    	MrpObject        parent;
    	MrpRelationPriv *priv;
    };

### enum MrpRelationType

#### Members

MRP_RELATION_NONE |  |
MRP_RELATION_FS |  |
MRP_RELATION_FF |  |
MRP_RELATION_SS |  |
MRP_RELATION_SF |  |